# Configuration file

"aesthetic settings" {
    # Change the foliage colour based on the current season [default: true]
    B:"Change Foliage Colour Seasonally"=true

    # Change the grass colour based on the current season [default: true]
    B:"Change Grass Colour Seasonally"=true
}


"crop fertility general settings" {
    # Whether to include tooltips on crops listing which seasons they're fertile in. Note: This only applies to listed crops. [default: true]
    B:crop_tooltips=true

    # Whether crops break if out of season. If false, they simply don't grow [default: false]
    B:crops_break=false

    # Maximum height greenhouse glass can be above a crop for it to be fertile out of season [range: 1 ~ 255, default: 7]
    I:greenhouse_glass_max_height=7

    # Whether unlisted seeds are fertile every season. False means they're fertile every season except Winter [default: false]
    B:ignore_unlisted_crops=true

    # Whether crops are affected by seasons. [default: true]
    B:seasonal_crops=false
}


"crop fertility seasonal settings" {
    # Crops growable in Autumn (List either the seed item for the crop, or the crop block itself) [default: [minecraft:carrot], [minecraft:pumpkin_seeds], [minecraft:wheat_seeds], [minecraft:beetroot_seeds], [minecraft:sapling], [minecraft:nether_wart], [minecraft:grass], [minecraft:red_mushroom], [minecraft:brown_mushroom], [simplecorn:kernels], [harvestcraft:cornitem], [harvestcraft:artichokeitem], [harvestcraft:beetitem], [harvestcraft:cranberryitem], [harvestcraft:eggplantitem], [harvestcraft:grapeitem], [harvestcraft:whitemushroomitem], [harvestcraft:blackberryitem], [harvestcraft:oatsitem], [harvestcraft:ryeitem], [harvestcraft:peasitem], [harvestcraft:spinachitem], [harvestcraft:tealeafitem], [harvestcraft:sweetpotatoitem], [harvestcraft:gingeritem], [harvestcraft:wintersquashitem], [harvestcraft:onionitem], [harvestcraft:cornseeditem], [harvestcraft:artichokeseeditem], [harvestcraft:beetseeditem], [harvestcraft:cranberryseeditem], [harvestcraft:eggplantseeditem], [harvestcraft:grapeseeditem], [harvestcraft:whitemushroomseeditem], [harvestcraft:blackberryseeditem], [harvestcraft:oatsseeditem], [harvestcraft:ryeseeditem], [harvestcraft:peasseeditem], [harvestcraft:spinachseeditem], [harvestcraft:teaseeditem], [harvestcraft:sweetpotatoseeditem], [harvestcraft:gingerseeditem], [harvestcraft:wintersquashseeditem], [harvestcraft:onionseeditem], [harvestcraft:rutabagaitem], [harvestcraft:rutabagaseeditem], [harvestcraft:amaranthitem], [harvestcraft:arrowrootitem], [harvestcraft:elderberryitem], [harvestcraft:greengrapeitem], [harvestcraft:huckleberryitem], [harvestcraft:jicamaitem], [harvestcraft:kohlrabiitem], [harvestcraft:quinoaitem], [harvestcraft:amaranthseeditem], [harvestcraft:arrowrootseeditem], [harvestcraft:elderberryseeditem], [harvestcraft:greengrapeseeditem], [harvestcraft:huckleberryseeditem], [harvestcraft:jicamaseeditem], [harvestcraft:kohlrabiseeditem], [harvestcraft:quinoaseeditem], [growthcraft_apples:apple_crop], [growthcraft_apples:apple_sapling], [growthcraft_apples:apple_leaves], [growthcraft_grapes:grape_seed], [growthcraft_grapes:native_grape_vine0], [growthcraft_grapes:native_grape_vine1], [growthcraft_grapes:native_grape_vine_leaves], [growthcraft_hops:hop_seeds], [growthcraft_hops:hops], [growthcraft_milk:thistle_seed], [growthcraft_milk:thistle], [growthcraft_rice:rice], [growthcraft_rice:riceCrop]]
    S:autumn_crops <
        minecraft:carrot
        minecraft:pumpkin_seeds
        minecraft:wheat_seeds
        minecraft:beetroot_seeds
        minecraft:sapling
        minecraft:nether_wart
        minecraft:grass
        minecraft:red_mushroom
        minecraft:brown_mushroom
        simplecorn:kernels
        harvestcraft:cornitem
        harvestcraft:artichokeitem
        harvestcraft:beetitem
        harvestcraft:cranberryitem
        harvestcraft:eggplantitem
        harvestcraft:grapeitem
        harvestcraft:whitemushroomitem
        harvestcraft:blackberryitem
        harvestcraft:oatsitem
        harvestcraft:ryeitem
        harvestcraft:peasitem
        harvestcraft:spinachitem
        harvestcraft:tealeafitem
        harvestcraft:sweetpotatoitem
        harvestcraft:gingeritem
        harvestcraft:wintersquashitem
        harvestcraft:onionitem
        harvestcraft:cornseeditem
        harvestcraft:artichokeseeditem
        harvestcraft:beetseeditem
        harvestcraft:cranberryseeditem
        harvestcraft:eggplantseeditem
        harvestcraft:grapeseeditem
        harvestcraft:whitemushroomseeditem
        harvestcraft:blackberryseeditem
        harvestcraft:oatsseeditem
        harvestcraft:ryeseeditem
        harvestcraft:peasseeditem
        harvestcraft:spinachseeditem
        harvestcraft:teaseeditem
        harvestcraft:sweetpotatoseeditem
        harvestcraft:gingerseeditem
        harvestcraft:wintersquashseeditem
        harvestcraft:onionseeditem
        harvestcraft:rutabagaitem
        harvestcraft:rutabagaseeditem
        harvestcraft:amaranthitem
        harvestcraft:arrowrootitem
        harvestcraft:elderberryitem
        harvestcraft:greengrapeitem
        harvestcraft:huckleberryitem
        harvestcraft:jicamaitem
        harvestcraft:kohlrabiitem
        harvestcraft:quinoaitem
        harvestcraft:amaranthseeditem
        harvestcraft:arrowrootseeditem
        harvestcraft:elderberryseeditem
        harvestcraft:greengrapeseeditem
        harvestcraft:huckleberryseeditem
        harvestcraft:jicamaseeditem
        harvestcraft:kohlrabiseeditem
        harvestcraft:quinoaseeditem
        growthcraft_apples:apple_crop
        growthcraft_apples:apple_sapling
        growthcraft_apples:apple_leaves
        growthcraft_grapes:grape_seed
        growthcraft_grapes:native_grape_vine0
        growthcraft_grapes:native_grape_vine1
        growthcraft_grapes:native_grape_vine_leaves
        growthcraft_hops:hop_seeds
        growthcraft_hops:hops
        growthcraft_milk:thistle_seed
        growthcraft_milk:thistle
        growthcraft_rice:rice
        growthcraft_rice:riceCrop
     >

    # Crops growable in Spring (List either the seed item for the crop, or the crop block itself) [default: [minecraft:potato], [minecraft:carrot], [minecraft:sapling], [minecraft:nether_wart], [minecraft:tallgrass], [minecraft:grass], [minecraft:red_mushroom], [minecraft:brown_mushroom], [harvestcraft:caulifloweritem], [harvestcraft:coffeebeanitem], [harvestcraft:garlicitem], [harvestcraft:beanitem], [harvestcraft:rhubarbitem], [harvestcraft:strawberryitem], [harvestcraft:oatsitem], [harvestcraft:celeryitem], [harvestcraft:peasitem], [harvestcraft:broccoliitem], [harvestcraft:cabbageitem], [harvestcraft:spinachitem], [harvestcraft:zucchiniitem], [harvestcraft:tealeafitem], [harvestcraft:sweetpotatoitem], [harvestcraft:turnipitem], [harvestcraft:leekitem], [harvestcraft:brusselsproutitem], [harvestcraft:asparagusitem], [harvestcraft:barleyitem], [harvestcraft:onionitem], [harvestcraft:parsnipitem], [harvestcraft:cauliflowerseeditem], [harvestcraft:coffeeseeditem], [harvestcraft:garlicseeditem], [harvestcraft:beanseeditem], [harvestcraft:rhubarbseeditem], [harvestcraft:strawberryseeditem], [harvestcraft:oatsseeditem], [harvestcraft:celeryseeditem], [harvestcraft:peasseeditem], [harvestcraft:broccoliseeditem], [harvestcraft:cabbageseeditem], [harvestcraft:spinachseeditem], [harvestcraft:zucchiniseeditem], [harvestcraft:teaseeditem], [harvestcraft:sweetpotatoseeditem], [harvestcraft:turnipseeditem], [harvestcraft:leekseeditem], [harvestcraft:brusselsproutseeditem], [harvestcraft:asparagusseeditem], [harvestcraft:barleyseeditem], [harvestcraft:onionseeditem], [harvestcraft:parsnipseeditem], [harvestcraft:scallionitem], [harvestcraft:scallionseeditem], [harvestcraft:kaleitem], [harvestcraft:kaleseeditem], [harvestcraft:chickpeaitem], [harvestcraft:flaxitem], [harvestcraft:jicamaitem], [harvestcraft:kohlrabiitem], [harvestcraft:lentilitem], [harvestcraft:quinoaitem], [harvestcraft:chickpeaseeditem], [harvestcraft:flaxseeditem], [harvestcraft:jicamaseeditem], [harvestcraft:kohlrabiseeditem], [harvestcraft:lentilseeditem], [harvestcraft:quinoaseeditem], [growthcraft_rice:rice], [growthcraft_rice:riceCrop]]
    S:spring_crops <
        minecraft:potato
        minecraft:carrot
        minecraft:sapling
        minecraft:nether_wart
        minecraft:tallgrass
        minecraft:grass
        minecraft:red_mushroom
        minecraft:brown_mushroom
        harvestcraft:caulifloweritem
        harvestcraft:coffeebeanitem
        harvestcraft:garlicitem
        harvestcraft:beanitem
        harvestcraft:rhubarbitem
        harvestcraft:strawberryitem
        harvestcraft:oatsitem
        harvestcraft:celeryitem
        harvestcraft:peasitem
        harvestcraft:broccoliitem
        harvestcraft:cabbageitem
        harvestcraft:spinachitem
        harvestcraft:zucchiniitem
        harvestcraft:tealeafitem
        harvestcraft:sweetpotatoitem
        harvestcraft:turnipitem
        harvestcraft:leekitem
        harvestcraft:brusselsproutitem
        harvestcraft:asparagusitem
        harvestcraft:barleyitem
        harvestcraft:onionitem
        harvestcraft:parsnipitem
        harvestcraft:cauliflowerseeditem
        harvestcraft:coffeeseeditem
        harvestcraft:garlicseeditem
        harvestcraft:beanseeditem
        harvestcraft:rhubarbseeditem
        harvestcraft:strawberryseeditem
        harvestcraft:oatsseeditem
        harvestcraft:celeryseeditem
        harvestcraft:peasseeditem
        harvestcraft:broccoliseeditem
        harvestcraft:cabbageseeditem
        harvestcraft:spinachseeditem
        harvestcraft:zucchiniseeditem
        harvestcraft:teaseeditem
        harvestcraft:sweetpotatoseeditem
        harvestcraft:turnipseeditem
        harvestcraft:leekseeditem
        harvestcraft:brusselsproutseeditem
        harvestcraft:asparagusseeditem
        harvestcraft:barleyseeditem
        harvestcraft:onionseeditem
        harvestcraft:parsnipseeditem
        harvestcraft:scallionitem
        harvestcraft:scallionseeditem
        harvestcraft:kaleitem
        harvestcraft:kaleseeditem
        harvestcraft:chickpeaitem
        harvestcraft:flaxitem
        harvestcraft:jicamaitem
        harvestcraft:kohlrabiitem
        harvestcraft:lentilitem
        harvestcraft:quinoaitem
        harvestcraft:chickpeaseeditem
        harvestcraft:flaxseeditem
        harvestcraft:jicamaseeditem
        harvestcraft:kohlrabiseeditem
        harvestcraft:lentilseeditem
        harvestcraft:quinoaseeditem
        growthcraft_rice:rice
        growthcraft_rice:riceCrop
     >

    # Crops growable in Summer (List either the seed item for the crop, or the crop block itself) [default: [minecraft:melon_seeds], [minecraft:wheat_seeds], [minecraft:reeds], [minecraft:cocoa], [minecraft:cactus], [minecraft:sapling], [minecraft:nether_wart], [minecraft:tallgrass], [minecraft:grass], [minecraft:red_mushroom], [minecraft:brown_mushroom], [simplecorn:kernels], [harvestcraft:coffeebeanitem], [harvestcraft:beanitem], [harvestcraft:blueberryitem], [harvestcraft:cornitem], [harvestcraft:chilipepperitem], [harvestcraft:radishitem], [harvestcraft:tomatoitem], [harvestcraft:grapeitem], [harvestcraft:raspberryitem], [harvestcraft:peasitem], [harvestcraft:cottonitem], [harvestcraft:tealeafitem], [harvestcraft:sweetpotatoitem], [harvestcraft:spiceleafitem], [harvestcraft:riceitem], [harvestcraft:seaweeditem], [harvestcraft:waterchestnutitem], [harvestcraft:okraitem], [harvestcraft:pineappleitem], [harvestcraft:kiwiitem], [harvestcraft:sesameseedsitem], [harvestcraft:curryleafitem], [harvestcraft:bambooshootitem], [harvestcraft:cantaloupeitem], [harvestcraft:gingeritem], [harvestcraft:soybeanitem], [harvestcraft:barleyitem], [harvestcraft:cucumberitem], [harvestcraft:mustardseedsitem], [harvestcraft:onionitem], [harvestcraft:peanutitem], [harvestcraft:bellpepperitem], [harvestcraft:lettuceitem], [harvestcraft:coffeeseeditem], [harvestcraft:beanseeditem], [harvestcraft:blueberryseeditem], [harvestcraft:cornseeditem], [harvestcraft:chilipepperseeditem], [harvestcraft:radishseeditem], [harvestcraft:tomatoseeditem], [harvestcraft:grapeseeditem], [harvestcraft:raspberryseeditem], [harvestcraft:peasseeditem], [harvestcraft:cottonseeditem], [harvestcraft:teaseeditem], [harvestcraft:sweetpotatoseeditem], [harvestcraft:spiceleafseeditem], [harvestcraft:riceseeditem], [harvestcraft:seaweedseeditem], [harvestcraft:waterchestnutseeditem], [harvestcraft:okraseeditem], [harvestcraft:pineappleseeditem], [harvestcraft:kiwiseeditem], [harvestcraft:sesameseedsseeditem], [harvestcraft:curryleafseeditem], [harvestcraft:bambooshootseeditem], [harvestcraft:cantaloupeseeditem], [harvestcraft:gingerseeditem], [harvestcraft:soybeanseeditem], [harvestcraft:barleyseeditem], [harvestcraft:cucumberseeditem], [harvestcraft:mustardseeditem], [harvestcraft:onionseeditem], [harvestcraft:peanutseeditem], [harvestcraft:bellpepperseeditem], [harvestcraft:lettuceseeditem], [harvestcraft:cactusfruititem], [harvestcraft:cactusfruitseeditem], [harvestcraft:candleberryitem], [harvestcraft:candleberryseeditem], [harvestcraft:gigapickleitem], [harvestcraft:gigapickleseeditem], [harvestcraft:agaveitem], [harvestcraft:amaranthitem], [harvestcraft:cassavaitem], [harvestcraft:greengrapeitem], [harvestcraft:juteitem], [harvestcraft:kenafitem], [harvestcraft:kohlrabiitem], [harvestcraft:milletitem], [harvestcraft:mulberryitem], [harvestcraft:sisalitem], [harvestcraft:taroitem], [harvestcraft:agaveseeditem], [harvestcraft:amaranthseeditem], [harvestcraft:cassavaseeditem], [harvestcraft:greengrapeseeditem], [harvestcraft:juteseeditem], [harvestcraft:kenafseeditem], [harvestcraft:kohlrabiseeditem], [harvestcraft:milletseeditem], [harvestcraft:mulberryseeditem], [harvestcraft:sisalseeditem], [harvestcraft:taroseeditem], [growthcraft_apples:apple_crop], [growthcraft_apples:apple_sapling], [growthcraft_apples:apple_leaves], [growthcraft_hops:hop_seeds], [growthcraft_hops:hops], [growthcraft_milk:thistle_seed], [growthcraft_milk:thistle], [growthcraft_rice:rice], [growthcraft_rice:riceCrop]]
    S:summer_crops <
        minecraft:melon_seeds
        minecraft:wheat_seeds
        minecraft:reeds
        minecraft:cocoa
        minecraft:cactus
        minecraft:sapling
        minecraft:nether_wart
        minecraft:tallgrass
        minecraft:grass
        minecraft:red_mushroom
        minecraft:brown_mushroom
        simplecorn:kernels
        harvestcraft:coffeebeanitem
        harvestcraft:beanitem
        harvestcraft:blueberryitem
        harvestcraft:cornitem
        harvestcraft:chilipepperitem
        harvestcraft:radishitem
        harvestcraft:tomatoitem
        harvestcraft:grapeitem
        harvestcraft:raspberryitem
        harvestcraft:peasitem
        harvestcraft:cottonitem
        harvestcraft:tealeafitem
        harvestcraft:sweetpotatoitem
        harvestcraft:spiceleafitem
        harvestcraft:riceitem
        harvestcraft:seaweeditem
        harvestcraft:waterchestnutitem
        harvestcraft:okraitem
        harvestcraft:pineappleitem
        harvestcraft:kiwiitem
        harvestcraft:sesameseedsitem
        harvestcraft:curryleafitem
        harvestcraft:bambooshootitem
        harvestcraft:cantaloupeitem
        harvestcraft:gingeritem
        harvestcraft:soybeanitem
        harvestcraft:barleyitem
        harvestcraft:cucumberitem
        harvestcraft:mustardseedsitem
        harvestcraft:onionitem
        harvestcraft:peanutitem
        harvestcraft:bellpepperitem
        harvestcraft:lettuceitem
        harvestcraft:coffeeseeditem
        harvestcraft:beanseeditem
        harvestcraft:blueberryseeditem
        harvestcraft:cornseeditem
        harvestcraft:chilipepperseeditem
        harvestcraft:radishseeditem
        harvestcraft:tomatoseeditem
        harvestcraft:grapeseeditem
        harvestcraft:raspberryseeditem
        harvestcraft:peasseeditem
        harvestcraft:cottonseeditem
        harvestcraft:teaseeditem
        harvestcraft:sweetpotatoseeditem
        harvestcraft:spiceleafseeditem
        harvestcraft:riceseeditem
        harvestcraft:seaweedseeditem
        harvestcraft:waterchestnutseeditem
        harvestcraft:okraseeditem
        harvestcraft:pineappleseeditem
        harvestcraft:kiwiseeditem
        harvestcraft:sesameseedsseeditem
        harvestcraft:curryleafseeditem
        harvestcraft:bambooshootseeditem
        harvestcraft:cantaloupeseeditem
        harvestcraft:gingerseeditem
        harvestcraft:soybeanseeditem
        harvestcraft:barleyseeditem
        harvestcraft:cucumberseeditem
        harvestcraft:mustardseeditem
        harvestcraft:onionseeditem
        harvestcraft:peanutseeditem
        harvestcraft:bellpepperseeditem
        harvestcraft:lettuceseeditem
        harvestcraft:cactusfruititem
        harvestcraft:cactusfruitseeditem
        harvestcraft:candleberryitem
        harvestcraft:candleberryseeditem
        harvestcraft:gigapickleitem
        harvestcraft:gigapickleseeditem
        harvestcraft:agaveitem
        harvestcraft:amaranthitem
        harvestcraft:cassavaitem
        harvestcraft:greengrapeitem
        harvestcraft:juteitem
        harvestcraft:kenafitem
        harvestcraft:kohlrabiitem
        harvestcraft:milletitem
        harvestcraft:mulberryitem
        harvestcraft:sisalitem
        harvestcraft:taroitem
        harvestcraft:agaveseeditem
        harvestcraft:amaranthseeditem
        harvestcraft:cassavaseeditem
        harvestcraft:greengrapeseeditem
        harvestcraft:juteseeditem
        harvestcraft:kenafseeditem
        harvestcraft:kohlrabiseeditem
        harvestcraft:milletseeditem
        harvestcraft:mulberryseeditem
        harvestcraft:sisalseeditem
        harvestcraft:taroseeditem
        growthcraft_apples:apple_crop
        growthcraft_apples:apple_sapling
        growthcraft_apples:apple_leaves
        growthcraft_hops:hop_seeds
        growthcraft_hops:hops
        growthcraft_milk:thistle_seed
        growthcraft_milk:thistle
        growthcraft_rice:rice
        growthcraft_rice:riceCrop
     >

    # Crops growable in Winter (List either the seed item for the crop, or the crop block itself) [default: [minecraft:sapling], [minecraft:nether_wart], [minecraft:red_mushroom], [minecraft:brown_mushroom]]
    S:winter_crops <
        minecraft:sapling
        minecraft:nether_wart
        minecraft:red_mushroom
        minecraft:brown_mushroom
     >
}


"dimension settings" {
    # Seasons will only apply to dimensons listed here [default: [0]]
    S:"Whitelisted Dimensions" <
        0
        2
        3
        4
     >
}


"time settings" {
    # The duration of a Minecraft day in ticks [range: 20 ~ 2147483647, default: 24000]
    I:"Day Duration"=24000

    # If the season should progress on a server with no players online [default: true]
    B:"Progress Season While Offline"=true

    # The starting sub season for new worlds.  0 = Random, 1 - 3 = Early/Mid/Late Spring, 4 - 6 = Early/Mid/Late Summer, 7 - 9 = Early/Mid/Late Autumn, 10 - 12 = Early/Mid/Late Winter [range: 0 ~ 12, default: 5]
    I:"Starting Sub Season"=5

    # The duration of a sub season in days [range: 1 ~ 2147483647, default: 7]
    I:"Sub Season Duration"=720
}


"weather settings" {
    # Change the frequency of rain/snow/storms based on the season [default: true]
    B:"Change Weather Frequency"=true

    # Generate snow and ice during the Winter season [default: true]
    B:"Generate Snow and Ice"=true
}


